## Error codes Error codes |

## Functions

GQuark | flatpak_error_quark ()
GQuark | flatpak_portal_error_quark ()

## Types and Values

#define | FLATPAK_ERROR
enum | FlatpakError
#define | FLATPAK_PORTAL_ERROR
enum | FlatpakPortalError

## Description

## Functions

### flatpak_error_quark ()

    GQuark
    flatpak_error_quark (void);

### flatpak_portal_error_quark ()

    GQuark
    flatpak_portal_error_quark (void);

## Types and Values

### FLATPAK_ERROR

    #define FLATPAK_ERROR flatpak_error_quark ()

### enum FlatpakError

Error codes for library functions.

#### Members

FLATPAK_ERROR_ALREADY_INSTALLED | App/runtime is already installed |
FLATPAK_ERROR_NOT_INSTALLED | App/runtime is not installed |
FLATPAK_ERROR_ONLY_PULLED | App/runtime was only pulled into the local repository but not installed. |
FLATPAK_ERROR_DIFFERENT_REMOTE | The App/Runtime is already installed, but from a different remote. |
FLATPAK_ERROR_ABORTED | The transaction was aborted (returned TRUE in operation-error signal). |
FLATPAK_ERROR_SKIPPED | The App/Runtime install was skipped due to earlier errors. |
FLATPAK_ERROR_NEED_NEW_FLATPAK | The App/Runtime needs a more recent version of flatpak. |
FLATPAK_ERROR_REMOTE_NOT_FOUND | The specified remote was not found. |
FLATPAK_ERROR_RUNTIME_NOT_FOUND | An runtime needed for the app was not found. |
FLATPAK_ERROR_DOWNGRADE | The pulled commit is a downgrade, and a downgrade wasn't specifically allowed. (Since: 1.0) |

### FLATPAK_PORTAL_ERROR

    #define FLATPAK_PORTAL_ERROR flatpak_portal_error_quark ()

### enum FlatpakPortalError

#### Members

FLATPAK_PORTAL_ERROR_FAILED | General portal failure |
FLATPAK_PORTAL_ERROR_INVALID_ARGUMENT | An argument was invalid |
FLATPAK_PORTAL_ERROR_NOT_FOUND | The object was not fount |
FLATPAK_PORTAL_ERROR_EXISTS | The object already exists |
FLATPAK_PORTAL_ERROR_NOT_ALLOWED | The call was not allowed |
FLATPAK_PORTAL_ERROR_CANCELLED | The call was cancelled by the user |
FLATPAK_PORTAL_ERROR_WINDOW_DESTROYED | The window was destroyed by the user |